Get publisher
This endpoint fetches publisher(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/publisher/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Publisher ID, if sent, request will fetch publisher with exact ID, otherwise it fill fetch all publishers. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch publishers with exact Account Manager ID (User ID), otherwise it fill fetch all publishers. | optional |
| ActiveOnly | int | Request will fetch only active publishers if set to 1, otherwise it fill fetch all publishers. | optional |
To get publisher, send query parameter like this: Id=14 or AccManagerId=5
Or if you want to get all publishers, don’t include either of Id or AccManagerId parameter, or set them as 0.
Response
Section titled “Response”{ "Id": 14, "TeamId": 1, "Mail": "publisher1@gmail.com", "Name": "Publisher", "Description": "publisher test", "Website": "www.publisher1.com", "Country": "US", "City": "New york", "ZipCode": "100000", "Address": "5th avenue", "Phone": "+10000000", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "PlatformDomain": "google.com", "SellersJsonDomain": "realtimebidding.google.com", "Username": "publisher1", "SellerType": 2, "SellerId": "", "StatsAuth": "7sdd23", "StatsByDate": "https://adelion.com/api/ortb/stats/publisher/general?username=publisher1&auth=7sdd23&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,Wins,Bills,NetImpressions,Spent", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "BannerEpsCount": 1, "VastTagsCount": 1, "RtbEpsCount": 1, "PopFeedsCount": 1}[ { "Id": 14, "TeamId": 1, "Mail": "publisher1@gmail.com", "Name": "Publisher", "Description": "publisher test", "Website": "www.publisher1.com", "Country": "US", "City": "New york", "ZipCode": "100000", "Address": "5th avenue", "Phone": "+10000000", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "PlatformDomain": "google.com", "SellersJsonDomain": "realtimebidding.google.com", "Username": "publisher1", "SellerType": 2, "SellerId": "", "StatsAuth": "7sdd23", "StatsByDate": "https://adelion.com/api/ortb/stats/publisher/general?username=publisher1&auth=7sdd23&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,Wins,Bills,NetImpressions,Spent", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "BannerEpsCount": 1, "VastTagsCount": 1, "RtbEpsCount": 1, "PopFeedsCount": 1 }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |